#coding: utf-8

from bottle import HTTPError, request


def json_required(handler):    
    def wrapper(*args, **kwargs):
        try:
            if not request.json:
                raise HTTPError(status=406, 
                                body=u'Operations with this URL require non-empty JSON content.')
        except ValueError:
            raise HTTPError(status=400, 
                        body=u'Operations with this URL require valid JSON content.')            
        return handler(*args, **kwargs)
    return wrapper